%global momorel 4

%global qtdir %{_libdir}/qt3
%global qtver 3.3.4
%global kdedir /usr
%global kdever 3.4.0
%global kderel 1m

Name: kdbg
Summary: Graphical user interface to gdb, the GNU debugger
Version: 1.2.10
Release: %{momorel}m
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz e48b14f65e4c5c8473ce92767354501d
Patch0: kdbg-1.2.10-lib64.patch
URL: http://members.nextra.at/johsixt/kdbg.html 
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Requires: qt >= %{qtver}, qt-devel >= %{qtver}, kdelibs >= %{kdever}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}, gdb
BuildPrereq: qt >= %{qtver}, qt-devel >= %{qtver}, kdelibs >= %{kdever}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}, libpng >= 1.2.0

%description
KDbg is a graphical user interface to gdb, the GNU debugger. It provides an
intuitive interface for setting breakpoints, inspecting variables, and
stepping through code.

%prep
%setup -q

%if %{_lib} == "lib64"
%patch0 -p1 -b .lib64~
%endif

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--enable-mt \
	--enable-kernel-threads

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# no encoding specified.
mv %{buildroot}%{_datadir}/locale/zh_CN.GB2312 %{buildroot}%{_datadir}/locale/zh_CN

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog README TODO
%{_bindir}/kdbg
%{_datadir}/applnk/Development/kdbg.desktop
%{_datadir}/apps/kdbg
%{_datadir}/doc/HTML/*/kdbg
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kdbg.mo

%changelog
* Sun Apr  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.10-4m)
- change Source0 URI
- add CFLAGS and CXXFLAGS to configure
- modify %%files

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.10-3m)
- enable x86_64.

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.10-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.10-1m)
- update to 1.2.10

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.9-4m)
- rebuild against KDE 3.2.0

* Fri Dec 19 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.2.9-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.2.9-2m)
- rebuild against for qt-3.2.2

* Thu Sep 11 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.9-1m)
- update to 1.2.9 
- security fix
- use %%momorel and %%make macro

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.5-5m)
- remove requires: qt-Xt

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.5-4m)
- rebuild against for XFree86-4.3.0

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2.5-3m)
- rebuild against kde-3.0.2 & qt-3.0.5.

* Sun Mar 24 2002 Toru Hoshina <t@kondara.org
- (1.2.5-2k)
- rebuild against kde 3.0rc3

* Wed Nov 23 2001 Toru Hoshina <t@kondara.org
- (1.2.2-12k)
- rebuild against kde 2.2.2.

* Thu Nov  8 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-10k)
- nigirisugi.
- revised spec file.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-8k)
- rebuild against libpng 1.2.0.

* Fri Oct  5 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-6k)
- rebuild against kde 2.2.1.

* Wed Sep 26 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-4k)
- all of .mo's moved to kde-i18n 2.2.0.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.2-2k)
- rebuild against kde 2.2.

* Sun Aug 12 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-18k)
- rebuild against kde 2.2beta1. no longer require kdesupport.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-16k)
- rebuild against kde 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-14k)
- rebuild against kde 2.2alpha1.

* Wed May  2 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-12k)
- stable release.

* Fri Mar 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-8k)
- rebuild against KDE 2.1

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.0-6k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [1.2.0-4k]
- backport 1.2.0-5k(Jirai).

* Wed Jan 10 2001 Kenichi Matsubara <m@kondara.org>
- [1.2.0-2k]
- backport 1.2.0-3k(Jirai).

* Sat Jan 06 2001 Kenichi Matsubara <m@kondara.org>
- [1.2.0-3k]
- initial release for Kondara MNU/Linux.

